Name:           jss
Version:        4.2.6
Release:        19
Summary:        Java Security Services (JSS)

Group:          System/Libraries
License:        MPLv1.1 or GPLv2+ or LGPLv2+
URL:            http://www.mozilla.org/projects/security/pki/jss/
# The source for this package was pulled from upstream's cvs. Use the
# following commands to generate the tarball:
# cvs -d :pserver:anonymous@cvs-mirror.mozilla.org:/cvsroot export -r JSS_4_2_6_RTM -d jss-4.2.6 -N mozilla/security/coreconf mozilla/security/jss
# tar -czvf jss-4.2.6.tar.gz jss-4.2.6
Source0:        %{name}-%{version}.tar.gz
Source1:        MPL-1.1.txt
Source2:        gpl.txt
Source3:        lgpl.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  nss-devel >= 3.12.3.99
BuildRequires:  nspr-devel >= 4.6.99
BuildRequires:  java-devel
Requires:       java
Requires:       nss >= 3.12.3.99

Patch1:         jss-key_pair_usage_with_op_flags.patch
Patch2:         jss-javadocs-param.patch
Patch3:         jss-ipv6.patch
Patch4:         jss-ECC-pop.patch
Patch5:         jss-loadlibrary.patch
Patch6:         jss-ocspSettings.patch
Patch7:         jss-ECC_keygen_byCurveName.patch
Patch8:         jss-VerifyCertificate.patch
Patch9:         jss-bad-error-string-pointer.patch
Patch10:        jss-VerifyCertificateReturnCU.patch
Patch12:        jss-ECC-HSM-FIPS.patch


%description
Java Security Services (JSS) is a java native interface which provides a bridge
for java-based applications to use native Network Security Services (NSS).
This only works with gcj. Other JREs require that JCE providers be signed.

%package javadoc
Summary:        Java Security Services (JSS) Javadocs
Group:          Development/Java
Requires:       jss = %{version}-%{release}

%description javadoc
This package contains the API documentation for JSS.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch12 -p1

%build
[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java

# Enable compiler optimizations and disable debugging code
BUILD_OPT=1
export BUILD_OPT

# Generate symbolic info for debuggers
XCFLAGS="-g $RPM_OPT_FLAGS"
export XCFLAGS

PKG_CONFIG_ALLOW_SYSTEM_LIBS=1
PKG_CONFIG_ALLOW_SYSTEM_CFLAGS=1

export PKG_CONFIG_ALLOW_SYSTEM_LIBS
export PKG_CONFIG_ALLOW_SYSTEM_CFLAGS

NSPR_INCLUDE_DIR=`/usr/bin/pkg-config --cflags-only-I nspr | sed 's/-I//'`
NSPR_LIB_DIR=`/usr/bin/pkg-config --libs-only-L nspr | sed 's/-L//'`

NSS_INCLUDE_DIR=`/usr/bin/pkg-config --cflags-only-I nss | sed 's/-I//'`
NSS_LIB_DIR=`/usr/bin/pkg-config --libs-only-L nss | sed 's/-L//'`

export NSPR_INCLUDE_DIR
export NSPR_LIB_DIR
export NSS_INCLUDE_DIR
export NSS_LIB_DIR

%ifarch x86_64 ppc64 ia64 s390x sparc64
USE_64=1
export USE_64
%endif

# The Makefile is not thread-safe
make -C mozilla/security/coreconf
make -C mozilla/security/jss
make -C mozilla/security/jss javadoc

%install
rm -rf $RPM_BUILD_ROOT docdir

# Copy the license files here so we can include them in %doc
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .
cp -p %{SOURCE3} .

# There is no install target so we'll do it by hand

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_libdir}/jss
install -m 644 mozilla/dist/xpclass.jar ${RPM_BUILD_ROOT}%{_libdir}/jss/jss4-%{version}.jar
ln -fs jss4-%{version}.jar $RPM_BUILD_ROOT%{_libdir}/jss/jss4.jar

install -d -m 0755 $RPM_BUILD_ROOT%{_jnidir}
ln -fs %{_libdir}/jss/jss4.jar $RPM_BUILD_ROOT%{_jnidir}/jss4.jar

# We have to use the name libjss4.so because this is dynamically
# loaded by the jar file.
install -d -m 0755 $RPM_BUILD_ROOT%{_libdir}/jss
install -m 0755 mozilla/dist/Linux*.OBJ/lib/libjss4.so ${RPM_BUILD_ROOT}%{_libdir}/jss/

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -rp mozilla/dist/jssdoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

# No ldconfig is required since this library is loaded by Java itself.
%files
%defattr(-,root,root,-)
%doc mozilla/security/jss/jss.html MPL-1.1.txt gpl.txt lgpl.txt
%{_libdir}/jss/*
%{_jnidir}/*

%files javadoc
%defattr(-,root,root,-)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*




%changelog
* Sun Nov 27 2011 Guilherme Moro <guilherme@mandriva.com> 4.2.6-19
+ Revision: 734056
- rebuild
- imported package jss

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 0:4.2.5-3.0.7
+ Revision: 665839
- mass rebuild

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0:4.2.5-3.0.6mdv2011.0
+ Revision: 606116
- rebuild

* Thu Mar 25 2010 Oden Eriksson <oeriksson@mandriva.com> 0:4.2.5-3.0.5mdv2010.1
+ Revision: 527395
- rebuilt against nss-3.12.6

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0:4.2.5-3.0.4mdv2010.1
+ Revision: 523132
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:4.2.5-3.0.3mdv2010.0
+ Revision: 425474
- rebuild

* Fri Apr 10 2009 Funda Wang <fwang@mandriva.org> 0:4.2.5-3.0.2mdv2009.1
+ Revision: 365545
- rediff target source patch

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0:4.2.5-3.0.2mdv2009.0
+ Revision: 264756
- rebuild early 2009.0 package (before pixel changes)

* Tue May 06 2008 David Walluck <walluck@mandriva.org> 0:4.2.5-0.0.2mdv2009.0
+ Revision: 201749
- create %%{_libdir} not %%{_jnidir} again
- 4.2.5

* Sat Jan 05 2008 David Walluck <walluck@mandriva.org> 0:3.4-10mdv2008.1
+ Revision: 145644
- allow javadocs to fail so that build passes

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)
    - remove unnecessary Requires(post) on java-gcj-compat


* Thu Mar 08 2007 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2007-03-08 19:34:50 (138458)
- patch0: fix build with separate nss package
- Import jss

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0:3.4-6mdv2007.0
- rebuild for libgcj.so.7

* Mon Feb 06 2006 David Walluck <walluck@mandriva.org> 0:3.4-5mdk
- use standalone nsinstall

* Sun Jan 15 2006 David Walluck <walluck@mandriva.org> 0:3.4-4mdk
- fix path to aot-compile-rpm
- BuildRequires: java-devel

* Fri Oct 28 2005 David Walluck <walluck@mandriva.org> 0:3.4-3mdk
- rebuild

* Tue Sep 13 2005 David Walluck <walluck@mandriva.org> 0:3.4-2mdk
- add compatibility symlink to jss34.jar
- build libjss3.so
- fix javadoc building

* Mon Sep 12 2005 David Walluck <walluck@mandriva.org> 0:3.4-1mdk
- release

